/*
 *  Reads the current cpu speed
 *  Licensed under the terms of the GNU GPL License version 2.
 *
 *
 */

#include <stdio.h>
#include <sys/time.h>
#include <string.h>
#include <unistd.h>

__inline__ unsigned long long int rdtsc()
{
	unsigned long long int x;
	__asm__ volatile (".byte 0x0f, 0x31" : "=A" (x));
	return x;
}

char *read_MHz()
{
   FILE *f;
   int i;
   char *buffer;

   f = fopen("/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq", "r");
   fscanf(f, "%d", &i );
   buffer = malloc(sizeof(char)*512);
   sprintf(buffer, "%d MHz", i/1000 );
   fclose(f);
   return buffer;
}
